<?php
include(BASEPATH.'application/controllers/authcontroller'.EXT);
class admin_about extends authcontroller
{
	function __construct()
	{
        parent::Controller();
		$this->load->model('admin_about_model');
    }
	
	function index($MENU_ID)
	{	
		define("MENU_ID",$MENU_ID);
        $UserID = $this->session->userdata('UserID');
        $this->redirectNoAuthRead($UserID, $MENU_ID); // take from function in application/controllers/authcontroller
		
		
		$data['CurrentImageList'] = $this->admin_about_model->CurrentImageList();
		$data['config_module']    = $this->admin_about_model->config_module($MENU_ID);
		$data['DataEdit'] = $this->admin_about_model->DataEdit();
				
		$this->load->view('admin/admin_about',$data);
	}
	
	///////////////////////////////////////////////////////////////////////
	
	function edit_process($MENU_ID,$AboutID)
	{
	
		$PublishFlg = 0;
		
		$CekImage = $this->admin_about_model->CekImage($AboutID);
		$Cek = $CekImage[0]['Image'];
		
		
		if($this->input->post('PublishFlg') == 'on')
		{
			$PublishFlg = 1;
		}
		
		if($this->input->post('ImageType') != '')
		{
			if($this->input->post('ImageType') == 'NoImage')
			{
				if ($Cek !="")
				{
				unlink('./uploads/about/'.$Cek);
				}
				$ImageName = "";
			}
			else if($this->input->post('ImageType') == 'UploadNew')
			{
			$ImageName = $AboutID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);

				$config['file_name']      = $AboutID;
				$config['upload_path']    = './uploads/about/';
				$config['allowed_types']  = 'gif|jpg|png|jpeg|';
				$config['max_size']	      = '500';
				$config['max_width']      = '500';
				$config['max_height']     = '500';
				
				$this->load->library('upload', $config);
				if (!$this->upload->do_upload('ImageUpload'))					
				{
					$error = $this->upload->display_errors();
					redirect('admin_main/errorupload/'.$MENU_ID.'/'.$error);
				}else{
					if ($Cek !="")
					{
						unlink('./uploads/about/'.$Cek);
					}
				}
				
				
				//$this->uploadImage($AboutID);
			}	
			else if($this->input->post('ImageType') == 'SelectList')
			{
				$ImageName = $this->input->post('ImageCurrent');
			}
			
			$data = array(
						'AboutName'    => $this->input->post('Name'),
						'E_AboutName'  => $this->input->post('E_Name'),
						'ShortDesc'    => $this->input->post('ShortDesc'),
						'E_ShortDesc'  => $this->input->post('E_ShortDesc'),
						'LongDesc'     => $this->input->post('LongDesc'),
						'E_LongDesc'   => $this->input->post('E_LongDesc'),
						'visi'		   => $this->input->post('visi'),
						'misi' 		   => $this->input->post('misi'),
						'Image'        => $ImageName,
						'PublishFlg'   => $PublishFlg
					);
		}
		else
		{
			$data = array(	
						'AboutName'    => $this->input->post('Name'),
						'E_AboutName'  => $this->input->post('E_Name'),
						'ShortDesc'    => $this->input->post('ShortDesc'),
						'E_ShortDesc'  => $this->input->post('E_ShortDesc'),
						'LongDesc'     => $this->input->post('LongDesc'),
						'E_LongDesc'   => $this->input->post('E_LongDesc'),
						'visi'		   => $this->input->post('visi'),
						'misi' 		   => $this->input->post('misi'),
						'PublishFlg'   => $PublishFlg
					);
		}
		
		$this->db->where('AboutID', $AboutID);
		$this->db->update('about', $data);
		
		redirect('admin_about/index/'.$MENU_ID);
		
	}
	
	
	function uploadImage($AboutID)
	{
		$config['file_name']      = $AboutID;
		$config['upload_path']    = './uploads/about';
		$config['allowed_types']  = 'gif|jpg|png';
		$config['max_size']	      = '100';
		$config['max_width']      = '1024';
		$config['max_height']     = '768';
		
		$this->load->library('upload', $config);
		$this->upload->do_upload('ImageUpload');
	}
}
?>