<?php
include(BASEPATH.'application/controllers/authcontroller'.EXT);
class admin_download extends authcontroller{
	function __construct(){
		parent::Controller();
		$this->load->model('model_admin_download');
		$this->load->model('authmodel');
		$this->load->library('upload');
	}
	function index($id_download){
		$MENU_ID=$this->uri->segment(3);
		$id_engine=$this->uri->segment(4);
		$id_subengine=$this->uri->segment(5);
		if ($this->session->userdata('UserID')){
			
			$UserID = $this->session->userdata('UserID'); 
			define("MENU_ID", $MENU_ID);
        	$this->redirectNoAuthRead($UserID, MENU_ID);
			
			$data['datalist'] = $this->model_admin_download->DatalistGroup($id_subengine);
			$data['subengine'] = $this->model_admin_download->getdatasubengine($id_subengine);
			//print_array ($data);
			$this->load->view('admin/view_admin_download',$data);
			
		}else{
			redirect('admin_login');
		}
	}
	#view
	function edit(){
		$MENU_ID=$this->uri->segment(3);
		$gid=$this->uri->segment(4);
		if ($this->session->userdata('UserID')){
			$id_subengine=$this->uri->segment(5);
			$id_download = $this->uri->segment(6);
			$data['dataedit']      =$this->model_admin_download->getdataedit($id_download);
			$data['config_module']    = $this->authmodel->config_module($MENU_ID);
			
			//print_array($data);
			$this->load->view('admin/view_download_edit',$data);
		}else{
			redirect('admin_login');
		}
	}
	function insert(){
		if ($this->session->userdata('UserID')){
			$MENU_ID=$this->uri->segment(3);
			$data['config_module']    = $this->authmodel->config_module($MENU_ID);
			
			$this->load->view('admin/view_admin_download_insert',$data);
		}else{
			redirect('admin_login');
		}
	}
	function insert_process($menuID, $id_engine, $id_subengine)
	{	
		$id_download = $this->model_admin_download->getlastid_download();
		
		$nama = $this->input->post('nama');
		$radiofile = $this->input->post('file');
		$radiozip = $this->input->post('zip');
		$namapdf = "";
		$namazip = "";
		$embedpdf = "";
		$embedzip = "";
		
		#pdf file condition
		if($radiofile == 'nofile'){
			$namapdf = "";
		}elseif($radiofile == 'embed'){
			$embedpdf = $this->input->post('embedpdf');
		}elseif($radiofile == 'upload'){
			$pdf = $_FILES['uploadpdf']['name'];
			if($pdf == ''){
				echo '<script language="javascript">alert("pilih file yang akan di upload!");window.history.go(-1);</script>';
			}
			$namapdf = $id_download.'.'.substr($_FILES['uploadpdf']['name'], strrpos($_FILES['uploadpdf']['name'], '.') + 1);
			
			$config['file_name']      = $id_download;
			$config['upload_path']    = './uploads/download/pdf/';
			$config['allowed_types']  = 'pdf';
			$config['max_size']	      = '500';
			$config['max_width']      = '500';
			$config['max_height']     = '500';
		  
			$this->upload->initialize($config);
			if(!$this->upload->do_upload('uploadpdf')) 
			{
				$data = array('error' => $this->upload->display_errors('',''));	
				$error = $data['error'];
				echo '<script language="javascript">alert("'.$error.'!");window.history.go(-1);</script>';
				exit();
			}			
		}// pdf condition
		
		# zip condition
		if($radiozip == 'nozip'){
			$namazip = "";
		}elseif($radiozip == 'embed'){
			$embedzip = $this->input->post('embedzip');
		}elseif($radiozip == 'upload'){
			$zip = $_FILES['uploadzip']['name'];
			if($zip == ''){
				echo '<script language="javascript">alert("pilih file yang akan di upload!");window.history.go(-1);</script>';
			}
			
			$namazip = $id_download.'.'.substr($_FILES['uploadzip']['name'], strrpos($_FILES['uploadzip']['name'], '.') + 1);
			
			$configzip['file_name']      = $id_download;
			$configzip['upload_path']    = './uploads/download/zip/';
			$configzip['allowed_types']  = 'zip';
			$configzip['max_size']	      = '500';
			$configzip['max_width']      = '500';
			$configzip['max_height']     = '500';
		  
			$this->upload->initialize($configzip);
			if(!$this->upload->do_upload('uploadzip')) 
			{
				$pdffile = './uploads/download/pdf/'.$namapdf;
				if (file_exists($pdffile)){unlink($pdffile);}
				//unlink('./uploads/download/pdf/'.$namapdf);
				
				$data = array('error' => $this->upload->display_errors('',''));	
				$error = $data['error'];
				echo '<script language="javascript">alert("'.$error.'!");window.history.go(-1);</script>';
				exit();
			}			
		}// zip condition
		
		$data = array(
					  'id_download'			=> $id_download,
					  'id_subengine'		=> $id_subengine,
					  'Name'				=> $nama,
					  'pdf'					=> $namapdf,
					  'zip'					=> $namazip,
					  'embedpdf'			=> $embedpdf,
					  'embedzip'			=> $embedzip,
					  'Sort'				=> $this->model_admin_download->getlastsort()
					  );
		//print_array($data);
		$this->db->insert('download', $data);
		redirect('admin_download/index/'.$menuID.'/'.$id_engine.'/'.$id_subengine);
		
	}
	
	function edit_process($menuID, $id_engine, $id_subengine, $id_download)
	{
		$nama = $this->input->post('nama');
		$radiofile = $this->input->post('file');
		$radiozip = $this->input->post('zip');
		
		#cek data pdf di database
		$cekpdf = $this->model_admin_download->cekpdf($id_download);
		$Countpdf	=  $cekpdf['Count'];
		$namapdf 	= $cekpdf['pdf'];
		$pdffile = './uploads/download/pdf/'.$namapdf;
		
		#cek data zip di database
		$cekzip = $this->model_admin_download->cekzip($id_download);
		$Countzip	=  $cekzip['Count'];
		$namazip 	= $cekzip['zip'];
		$zipfile = './uploads/download/zip/'.$namazip;
		
		#cek data embedpdf di database
		$cekembedpdf = $this->model_admin_download->cekembedpdf($id_download);
		$Countembedpdf	=  $cekembedpdf['Count'];
		$embedpdf 	= $cekembedpdf['embedpdf'];

		#cek data embedpdf di database
		$cekembedzip = $this->model_admin_download->cekembedzip($id_download);
		$Countembedzip	=  $cekembedzip['Count'];
		$embedzip 	= $cekembedzip['embedzip'];
		
		#pdf file condition
		if($radiofile == 'nofile'){
			$namapdf = "";
			if ($Countpdf == 1){unlink($pdffile);}
		}elseif($radiofile == 'embed'){
			$embedpdf = $this->input->post('embedpdf');
			$namapdf = "";
			if ($Countpdf == 1){unlink($pdffile);}
		}elseif($radiofile == 'upload'){
			$embedpdf = "";
			$pdf = $_FILES['uploadpdf']['name'];
			
			if($pdf == ''){
				echo '<script language="javascript">alert("pilih file yang akan di upload!");window.history.go(-1);</script>';
			}
					
			$namapdf = $id_download.'.'.substr($_FILES['uploadpdf']['name'], strrpos($_FILES['uploadpdf']['name'], '.') + 1);
			$namapdf_temp = $id_download.'_temp.'.substr($_FILES['uploadpdf']['name'], strrpos($_FILES['uploadpdf']['name'], '.') + 1);
			
			$config['file_name']      = $id_download.'_temp';
			$config['upload_path']    = './uploads/download/pdf/';
			$config['allowed_types']  = 'pdf';
			$config['max_size']	      = '500';
			$config['max_width']      = '500';
			$config['max_height']     = '500';
		  
			$this->upload->initialize($config);
			
			if(!$this->upload->do_upload('uploadpdf')) 
			{
				$data = array('error' => $this->upload->display_errors('',''));	
				$error = $data['error'];
				echo '<script language="javascript">alert("'.$error.'!");window.history.go(-1);</script>';
				exit();
			}else{
				
				#delete temp image
				$pdfname_temp 	= './uploads/download/pdf/'.$namapdf_temp;
				if (file_exists($pdfname_temp)){unlink($pdfname_temp);}
				
				#delete image exis
				$pdfname 	= './uploads/download/pdf/'.$namapdf;
				if (file_exists($pdfname) && $namapdf!= ''){unlink($pdfname);}
				
				#second upload with no error, not necessary to make a condition error upload image
				$config['file_name']      = $id_download; // initialization new config file_name				
				$this->upload->initialize($config);
				
				$this->upload->do_upload('uploadpdf');			
			}	// kondisi upload		
		}elseif($radiofile == 'curent'){
			$namapdf = $namapdf;
		}// pdf condition
		
		# zip condition
		if($radiozip == 'nozip'){
			$namazip = "";
			if ($Countzip == 1){unlink($zipfile);}
		}elseif($radiozip == 'embed'){
			$embedzip = $this->input->post('embedzip');
			$namazip = "";
			if ($Countzip == 1){unlink($zipfile);}
		}elseif($radiozip == 'upload'){
			$embedzip = "";
			$zip = $_FILES['uploadzip']['name'];
			
			if($zip == ''){
				echo '<script language="javascript">alert("pilih file yang akan di upload!");window.history.go(-1);</script>';
			}
			
			$namazip = $id_download.'.'.substr($_FILES['uploadzip']['name'], strrpos($_FILES['uploadzip']['name'], '.') + 1);
			$namazip_temp = $id_download.'_temp.'.substr($_FILES['uploadzip']['name'], strrpos($_FILES['uploadzip']['name'], '.') + 1);
			
			$configzip['file_name']      = $id_download.'_temp';
			$configzip['upload_path']    = './uploads/download/zip/';
			$configzip['allowed_types']  = 'zip';
			$configzip['max_size']	      = '500';
			$configzip['max_width']      = '500';
			$configzip['max_height']     = '500';
		  
			$this->upload->initialize($configzip);
			
			if(!$this->upload->do_upload('uploadzip')) 
			{
				/* masih error disini, jika kondisi pdf sukses upload, tapi zip gagal upload*/
				$pdf = $_FILES['uploadpdf']['name'];
				if($pdf != ''){
					if (file_exists($pdffile)){unlink($pdffile);}
				}
				
				$data = array('error' => $this->upload->display_errors('',''));	
				$error = $data['error'];
				echo '<script language="javascript">alert("'.$error.'!");window.history.go(-1);</script>';
				exit();
			}else{
				if ($Countzip == 1){unlink($zipfile);}
				
				#delete temp image
				$zipname_temp 	= './uploads/download/zip/'.$namazip_temp;
				if (file_exists($zipname_temp)){unlink($zipname_temp);}
				
				#delete image exis
				$zipname 	= './uploads/download/zip/'.$namazip;
				if (file_exists($zipname) && $namapdf!= ''){unlink($zipname);}
				
				#second upload with no error, not necessary to make a condition error upload image
				$configzip['file_name']      = $id_download; // initialization new config file_name				
				$this->upload->initialize($configzip);
				
				$this->upload->do_upload('uploadzip');			
			}		
		}elseif($radiozip == 'curent'){
			$namazip = $namazip;
		}// zip condition
		
		
		
		$data = array(
					  'Name'				=> $nama,
					  'pdf'					=> $namapdf,
					  'zip'					=> $namazip,
					  'embedpdf'			=> $embedpdf,
					  'embedzip'			=> $embedzip,
					  );
		
		//print_array($data);
		$this->db->where('id_download', $id_download);
		$this->db->update('download', $data);
		
		redirect('admin_download/index/'.$menuID.'/'.$id_engine.'/'.$id_subengine);
		
	}

}

?>