<?php
include(BASEPATH.'application/controllers/authcontroller'.EXT);
class admin_engine extends authcontroller{
	function __construct(){
		parent::Controller();
		$this->load->model('model_admin_engine');
		$this->load->model('authmodel');
	}
	function index(){
		$MENU_ID=$this->uri->segment(3);
		if ($this->session->userdata('UserID')){
			
			$UserID = $this->session->userdata('UserID'); 
			define("MENU_ID", $MENU_ID);
        	$this->redirectNoAuthRead($UserID, MENU_ID);
			
			$data['datalist'] = $this->model_admin_engine->DatalistGroup();
			$data['descview']		  = $this->model_admin_engine->descview();
			
			$this->load->view('admin/view_admin_engine',$data);
			
		}else{
			redirect('admin_login');
		}
	}
	#view
	function edit(){
		$MENU_ID=$this->uri->segment(3);
		
		if ($this->session->userdata('UserID')){
			$id=$this->uri->segment(4);
			$data['engineedit']      =$this->model_admin_engine->getdataedit($id);
			$data['config_module']    = $this->authmodel->config_module($MENU_ID);
			$this->load->view('admin/view_engine_edit',$data);
		}else{
			redirect('admin_login');
		}
	}
	function insert(){
		if ($this->session->userdata('UserID')){
			$MENU_ID=$this->uri->segment(3);
			$data['config_module']    = $this->authmodel->config_module($MENU_ID);
			
			$this->load->view('admin/view_admin_engine_insert',$data);
		}else{
			redirect('admin_login');
		}
	}
	#proses 
	function insert_process(){
		$MENU_ID=$this->uri->segment(3);
		$PublishFlg = 0;
		$ImageName = "";
		if($this->input->post('PublishFlg') == 'on')
		{
			$PublishFlg = 1;
		}
		$do=true;
		if($this->input->post('ImageType') == 'NoImage')
		{
			$ImageName = "";
			
		}else if($this->input->post('ImageType') == 'UploadNew'){

			$ImageID=$this->model_admin_engine->LastSort();
			$ImageName = $ImageID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
			$do=$this->uploadImage($ImageID);
			
		
		}
		if($do==false){
			redirect('admin_engine/insert/'.$MENU_ID.'/Error');
		}else{
		$data = array(
					'Name'       	  	=> $this->input->post('ImgName'),
					'E_Name'      	 		=> $this->input->post('E_ImgName'),
					'ShortDesc'    			=> $this->input->post('ShortDesc'),
					'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
					'LongDesc'     			=> $this->input->post('LongDesc'),
					'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
					'Image'        			=> $ImageName,
					'Sort'         			=> $this->model_admin_engine->LastSort(),
					'PublishFlg'   			=> $PublishFlg,
				);
		
		$this->db->insert('engine', $data);
		
		redirect('admin_engine/index/'.$MENU_ID);
		}
	}
	function edit_process(){
		$MENU_ID=$this->uri->segment(3);
		$gid=$this->uri->segment(4);
		$PublishFlg = 0;
		$ModuleName=$this->input->post('ModuleName');
		$Imagecurrent=$this->input->post('Imagecurrent');
		
		$CekImg = $this->model_admin_engine->CekImg($Imagecurrent); // cek image ada yang pakai ato tidak		
		$ImgID=$this->input->post('id');
		
		if($this->input->post('PublishFlg') == 'on')
		{
			$PublishFlg = 1;
		}
		$ImageName=$Imagecurrent;
		$do=true;
		if($this->input->post('ImageType') != '')
		{
			if($this->input->post('ImageType') == 'NoImage')
			{
				if ($CekImg == false )
				{
					unlink('./uploads/product/'.$Image);
				}
				
				$ImageName = "";
			}
			else if($this->input->post('ImageType') == 'UploadNew')
			{
				
				$Image=$this->input->post('Imagecurrent');
				$ImageID=$this->input->post('id').'_'.str_replace(".jpg","",$Image);
				$ImageName = $ImageID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
				$do=$this->uploadImage($ImageID);
				if($do==true){
					unlink('./uploads/product/'.$Image);
				}
				
			}
		}
		
		if($do==false){
			redirect('admin_engine/edit/'.$MENU_ID.'/'.$ImgID.'/Error');
		}else{
			
			$data = array(
						'Name' 	        	=> $this->input->post('Namecat'),
						'E_Name'   	    		=> $this->input->post('E_Name'),
						'ShortDesc'    			=> $this->input->post('ShortDesc'),
						'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
						'LongDesc'     			=> $this->input->post('LongDesc'),
						'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
						'Image'        			=> $ImageName,
						'PublishFlg'   			=> $PublishFlg
					);
			$this->db->where('id_engine', $ImgID);
			$this->db->update('engine', $data);
		
		redirect('admin_engine/index/'.$MENU_ID);
		}
	}
	function update_all(){
		$MENU_ID		=$this->uri->segment(3);
		$ImgID    		= $this->input->post('ImgID');
		$Sort       	= $this->input->post('Sort');
		$PublishFlg 	= $this->input->post('PublishFlg');
		
		// Update PublishFlg /////////////////////////////////////////////////
		
		$this->model_admin_engine->SetNullPublishFlg(); //set null
		
		$strBaca = "";
		for ($i=0; $i<count($PublishFlg); $i++)
		{
			$strBaca = $strBaca . "'" . $PublishFlg[$i] . "',";
		}
		
		$PublishFlg = substr($strBaca, 1, strlen($strBaca)-3);
		
		$this->model_admin_engine->UpdatePublishFlg($PublishFlg);
		
		// print_array($PublishFlg); // cek keluaran array
		
	
		// Update Sort ////////////////////////////////////////////////////////
		
		for($a=0 ; $a<count($ImgID) ; $a++)
		{
			$this->model_admin_engine->UpdateSort($ImgID[$a], $Sort[$a]);
		}
		 /////// update description engine
		$data = array(
					  'desc'			=> $this->input->post('desc'),
					  );
		$this->db->update('engine_desc', $data);
		
		///////////////////////////////////////////////////////////////////////
		
		redirect('admin_engine/index/'.$MENU_ID);
	}
	
	function uploadImage($ImageName)
	{
			$config['file_name']      = $ImageName;
			$config['upload_path']    = './uploads/engine';
			$config['allowed_types']  = 'gif|jpg|png';
			$config['max_size']	      = '500';
			$config['max_width']      = '300';
			$config['max_height']     = '300';
			
			$this->load->library('upload', $config);
			$upload = $this->upload->do_upload('ImageUpload');
			if(!$upload) {
				$error = array('error' => $this->upload->display_errors());	
				return false;
			}else{
				return true;
			}
	}
	function delete(){
		$MENU_ID=$this->uri->segment(3);
		$id=$this->uri->segment(4);
		if(!empty($id)){
			$ceksubproduk=$this->model_admin_engine->ceksub($id);	
			if($ceksubproduk==false){
					$data=$this->model_admin_engine->delete($id);
					redirect('admin_engine/index/'.$MENU_ID);
			}else{
					redirect('admin_engine/index/'.$MENU_ID.'/Error');
			}
				
		}else{
			redirect('admin_engine/index/'.$MENU_ID);
		}
		
	}
}

?>