<?php
include(BASEPATH.'application/controllers/authcontroller'.EXT);
class admin_group extends authcontroller
{
    function __construct()
	{
        parent::Controller();
        $this->load->model('admin_group_model');	
		
    }
	
	function index($MENU_ID)
	{
		define("MENU_ID", $MENU_ID);
        $UserID = $this->session->userdata('UserID');      
        $this->redirectNoAuthRead($UserID, MENU_ID);
		
		$data['menumst']      = $this->admin_group_model->menumst();
	 	$data['usergroupmst'] = $this->admin_group_model->usergroupmst();
		
		$this->load->view('admin/admin_group', $data);
	}
	
	function insert_process($MENU_ID)
	{
		$UserGroupID = $this->admin_group_model->GetLastUserGroupID();
		//$MenuID      = $this->input->post('MenuID');
		$ReadFlg     = $this->input->post('ReadFlg');
		
		//print_array ($MenuID).'<br>';
		//echo $ReadFlg;
		
		
		$data = array(
					'UserGroupID'   => $UserGroupID,
					'UserGroupName' => $this->input->post('UserGroupName')
				);
		//echo $data['UserGroupID'];
		
		
		$this->db->insert('usergroupmst', $data);
		
		$this->admin_group_model->InsertUserGroupDetail($UserGroupID);
		
		$this->SetChecked($UserGroupID, $ReadFlg);
		
		redirect('admin_group/index/'.$MENU_ID);
		
	}
	
	function edit($MENU_ID,$UserGroupID)
	{
		$data['DataEdit'] = $this->admin_group_model->DataEdit($UserGroupID);
		
		$this->load->view('admin/admin_group_edit', $data);
	}
	
	function edit_process($MENU_ID,$UserGroupID)
	{
		$MenuID      = $this->input->post('MenuID');
		$ReadFlg     = $this->input->post('ReadFlg');
		
		//echo $MENU_ID.'<br>';
		//echo $UserGroupID.'<br>';
		
		
		$data = array(
					'UserGroupName' => $this->input->post('UserGroupName')
				);
		
		$this->db->where('UserGroupID', $UserGroupID);
		$this->db->update('usergroupmst', $data);
		
		$this->admin_group_model->SetNullUserGroupDetail($UserGroupID);
		
		$this->SetChecked($UserGroupID, $ReadFlg);
		
		redirect('admin_group/index/'.$MENU_ID);
		/**/
	}
	
	function SetChecked($UserGroupID, $ReadFlg)
	{
		$strBaca = "";
		for ($i=0; $i<count($ReadFlg); $i++)
		{
			$strBaca = $strBaca . "'" . $ReadFlg[$i] . "',";
		}
		
		$ReadFlg = substr($strBaca, 1, strlen($strBaca)-3);
		$this->admin_group_model->UpdateUserGroupDetail($UserGroupID, $ReadFlg);
	}
}
?>