<?php
include(BASEPATH.'application/controllers/authcontroller'.EXT);
class admin_home extends authcontroller
{
	function __construct()
	{
        parent::Controller();
		$this->load->model('admin_home_model');
    }
	
	function index($MENU_ID)
	{	
		define("MENU_ID",$MENU_ID);
        $UserID = $this->session->userdata('UserID');
        $this->redirectNoAuthRead($UserID, $MENU_ID); // take from function in application/controllers/authcontroller
		
		
		$data['CurrentImageList'] = $this->admin_home_model->CurrentImageList();
		$data['config_module']    = $this->admin_home_model->config_module($MENU_ID);
		$data['DataEdit'] = $this->admin_home_model->DataEdit();
			
		//print_array ($data);
		$this->load->view('admin/admin_home',$data);
	}
	
	///////////////////////////////////////////////////////////////////////
	
	function edit_process($MENU_ID,$HomeID)
	{
		/**/
		$PublishFlg = 0;
		
		$CekImage = $this->admin_home_model->CekImage($HomeID);
		$Cek = $CekImage[0]['Image'];
		
		
		
		if($this->input->post('PublishFlg') == 'on')
		{
			$PublishFlg = 1;
		}
			
		if($this->input->post('ImageType') != '')
		{
			if($this->input->post('ImageType') == 'NoImage')
			{
				if ($Cek !="")
				{
				unlink('./uploads/home/'.$Cek);
				}
				$ImageName = "";
			}
			else if($this->input->post('ImageType') == 'UploadNew')
			{
			$ImageName = $HomeID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
				
				$config['file_name']      = $HomeID;
				$config['upload_path']    = './uploads/home/';
				$config['allowed_types']  = 'gif|jpg|png|jpeg|';
				$config['max_size']	      = '500';
				$config['max_width']      = '500';
				$config['max_height']     = '500';
				
				$this->load->library('upload', $config);
				if (!$this->upload->do_upload('ImageUpload'))					
				{
					$error = $this->upload->display_errors();
					redirect('admin_main/errorupload/'.$MENU_ID.'/'.$error);
				}else{
					if ($Cek !="")
					{
						unlink('./uploads/home/'.$Cek);
					}
				}
								
				//$this->uploadImage($HomeID);
			}	
			else if($this->input->post('ImageType') == 'SelectList')
			{
				$ImageName = $this->input->post('ImageCurrent');
			}
			
			$data = array(
						'Name'         => $this->input->post('Name'),
						'E_Name'       => $this->input->post('E_Name'),
						'ShortDesc'    => $this->input->post('ShortDesc'),
						'E_ShortDesc'  => $this->input->post('E_ShortDesc'),
						'LongDesc'     => $this->input->post('LongDesc'),
						'E_LongDesc'   => $this->input->post('E_LongDesc'),
						//'Office'       => $this->input->post('Office'),		
						'Image'        => $ImageName,
						'PublishFlg'   => $PublishFlg
					);
		}
		else
		{
			$data = array(	
						'Name'         => $this->input->post('Name'),
						'E_Name'       => $this->input->post('E_Name'),
						'ShortDesc'    => $this->input->post('ShortDesc'),
						'E_ShortDesc'  => $this->input->post('E_ShortDesc'),
						'LongDesc'     => $this->input->post('LongDesc'),
						'E_LongDesc'   => $this->input->post('E_LongDesc'),
						//'Office'       => $this->input->post('Office'),	
						'PublishFlg'   => $PublishFlg
					);
		}
		
		$this->db->where('HomeID', $HomeID);
		$this->db->update('home', $data);
		
		redirect('admin_home/index/'.$MENU_ID);
		
	}
	
	
	function uploadImage($HomeID)
	{
		$config['file_name']      = $HomeID;
		$config['upload_path']    = './uploads/home';
		$config['allowed_types']  = 'gif|jpg|png';
		$config['max_size']	      = '500';
		$config['max_width']      = '500';
		$config['max_height']     = '500';
		
		$this->load->library('upload', $config);
		$this->upload->do_upload('ImageUpload');
	}
}
?>