<?php
include(BASEPATH.'application/controllers/authcontroller'.EXT);
class admin_user extends authcontroller
{
    function __construct()
	{
        parent::Controller();
        $this->load->model('admin_user_model');
		
		
    }
	
	function index($MENU_ID, $confirmText = "")
	{
		
		define("MENU_ID",$MENU_ID);
        $UserID = $this->session->userdata('UserID'); 
		//echo $UserID;
        $this->redirectNoAuthRead($UserID, $MENU_ID);	
		
		
		$data['usermst']      = $this->admin_user_model->usermst();
	 	$data['usergroupmst'] = $this->admin_user_model->usergroupmst();
		$data['confirmText']  = $confirmText;
		
		$this->load->view('admin/admin_user', $data);
	}
	
	function insert($MENU_ID)
	{
		$UserPwd        = $this->input->post('UserPwd');
		$UserPwdConfirm = $this->input->post('UserPwdConfirm');
		
		if($UserPwd != $UserPwdConfirm)
		{
			$confirmText = "wrong confirmation password";
		}
		else
		{
			$data = array(
					'UserName'     => $this->input->post('UserName'),
					'UserPwd'      => md5($this->input->post('UserPwd')),
					'UserGroupID'  => $this->input->post('UserGroupID')
				);
			
			$this->db->insert('usermst', $data);
			
			$confirmText = "new user added";
		}
	 	
		redirect('admin_user/index/'.$MENU_ID.'/'.$confirmText);
	}
	
	function edit($MENU_ID,$UserID, $confirmText = "")
	{
		$data['usergroupmst'] = $this->admin_user_model->usergroupmst();
		$data['DataEdit']     = $this->admin_user_model->DataEdit($UserID);
		$data['confirmText']  = $confirmText;
		
		$this->load->view('admin/admin_user_edit', $data);
	}
	
	function edit_process($MENU_ID,$UserID)
	{

			$data = array(
						//'UserPwd'      => md5($this->input->post('UserPwd')),
						'UserGroupID'  => $this->input->post('UserGroupID')
					);
			
			$this->db->where('UserID', $UserID);
			$this->db->update('usermst', $data);
			
			$confirmText = "user edited";
			
			redirect('admin_user/index/'.$MENU_ID.'/'.$confirmText);
	}
	
	function delete($MENU_ID, $UserID)
	{
		//echo $MENU_ID;
		//echo $UserID;
		$this->db->where('UserID', $UserID);
		$this->db->delete('usermst');
		
		$confirmText = "user deleted";
		
		redirect('admin_user/index/'.$MENU_ID.'/'.$confirmText);
	}
	
	function resetpass($MENU_ID,$UserID)
	{
	
		$data = array(
						'UserPwd'   => md5(123),
						'UserID'  	=> $UserID
					);
			
		$this->db->where('UserID', $UserID);
		$this->db->update('usermst',$data);
		
		$confirmText = "user password has been reset ";
		
		redirect('admin_user/index/'.$MENU_ID.'/'.$confirmText);
	}
}
?>