<?php
class admin_group_model extends Model
{
	function __construct()
	{
        parent::Model();
    }
	
	function menumst()
	{
        $sql = "SELECT MenuID, MenuName FROM menumst WHERE MenuType = 'B' ORDER BY MenuName ASC";
        $qry = $this->db->query($sql);
        $row = $qry->result_array();
		
        return $row;
	}
	
	function usergroupmst()
	{
        $sql = "SELECT UserGroupID, UserGroupName FROM usergroupmst WHERE UserGroupID <> '1' ORDER BY UserGroupName ASC";
        $qry = $this->db->query($sql);
        $row = $qry->result_array();
		
        return $row;
	}
	
	function GetLastUserGroupID()
	{
		$sql = "SELECT (UserGroupID + 1) AS UserGroupID FROM usergroupmst ORDER BY UserGroupID DESC LIMIT 1";
        $qry = $this->db->query($sql);
        $row = $qry->result_array();
		
		if(count($row) == 0){
			return 1;
		}else{
			return $row[0]['UserGroupID'];
		}
	}
	
	function InsertUserGroupDetail($UserGroupID)
	{
        $sql = "INSERT INTO usergroupdtlmst (UserGroupID, MenuID, ReadFlg, ModifyFlg) Select '$UserGroupID', MenuID, '0', '0' From menumst";
        $qry = $this->db->query($sql);
	}
	
	function UpdateUserGroupDetail($UserGroupID, $ReadFlg)
	{
        $sql = "Update usergroupdtlmst set ReadFlg=1 where UserGroupID = '$UserGroupID' and MenuId in('$ReadFlg')";
        $qry = $this->db->query($sql);
	}
	
	function DataEdit($UserGroupID)
	{
        $sql = "SELECT ugd.UserGroupID, ugd.MenuID, ug.UserGroupName, m.MenuName, ugd.ReadFlg, ugd.ModifyFlg
				FROM usergroupdtlmst ugd, usergroupmst ug, menumst m
				WHERE ugd.UserGroupID = ug.UserGroupID AND ugd.MenuID = m.MenuID AND m.MenuType = 'B' AND ugd.UserGroupID = '$UserGroupID' 
				ORDER BY m.MenuName ASC";
        $qry = $this->db->query($sql);
        $row = $qry->result_array();
		
        return $row;
	}
	
	function SetNullUserGroupDetail($UserGroupID)
	{
        $sql = "Update usergroupdtlmst set ReadFlg=0, ModifyFlg=0 where UserGroupID = '$UserGroupID'";
        $qry = $this->db->query($sql);
	}
}
?>