<?php
class admin_menu_model extends Model
{
    function __construct()
	{
        parent::Model();
    }
	
	function DataView()
	{
        $sql = "SELECT MenuID, MenuName, sort, (CASE MenuType WHEN 'B' THEN 'Backend' WHEN 'F' THEN 'Frontend' ELSE 'Super Admin' END) AS MenuType 
				FROM menumst WHERE ParentNumber = 0
				ORDER BY MenuID ASC";
        $qry = $this->db->query($sql);
        $row = $qry->result_array();
		
        return $row;
	}
	
	function DataSub($MenuID)
	{
        $sql = "SELECT MenuID, MenuName, sort, ParentNumber, (CASE MenuType WHEN 'B' THEN 'Backend' WHEN 'F' THEN 'Frontend' ELSE 'Super Admin' END) AS MenuType 
				FROM menumst WHERE ParentNumber = '$MenuID' AND menu_level = '2'
				ORDER BY MenuID ASC";
        $qry = $this->db->query($sql);
        $row = $qry->result_array();
		
        return $row;
	}
	
	function GetLastMenuID()
	{
		$sql = "SELECT max(MenuID)+1 as MenuID FROM menumst";
		$qry = $this->db->query($sql);
		$row = $qry->result_array();
		
		if($row[0]['MenuID'] <> '')
		{
			$MenuID =  $row[0]['MenuID'];
		}else{
			$MenuID = '1';
		}
		
		return $MenuID;
	}
	
	function InsertUserGroupDetail($MenuID)
	{
        $sql = "INSERT INTO usergroupdtlmst (UserGroupID, MenuID, ReadFlg, ModifyFlg) Select UserGroupID, '$MenuID', '0', '0' From usergroupmst";
        $qry = $this->db->query($sql);
	}
	
	function SetCheckedAdmin($MenuID)
	{
        $sql = "UPDATE usergroupdtlmst SET ReadFlg = '1' WHERE UserGroupID = '1' AND MenuID = '$MenuID'";
        $qry = $this->db->query($sql);
	}
	
	function UpdateSort($MenuID, $sort)
	{
        $sql = "Update menumst set sort='$sort' where MenuID='$MenuID'";
        $qry = $this->db->query($sql);
	}
	
	function UpdateChild($Child) // for sub menu
	{
        $sql = "Update menumst set Child='$Child' where MenuID='$Child'";
        $qry = $this->db->query($sql);
	}
	
	function SetNullChild($ParentNumber)
	{
        $sql = "Update menumst set Child=NULL where MenuID='$ParentNumber'";
        $qry = $this->db->query($sql);
	}
	
	
	function SetNullcMenuName($Child)
	{
        $sql = "Update menumst set cMenuName=NULL where MenuID='$Child'";
        $qry = $this->db->query($sql);
	}
	
	function CekParentNumber($ParentNumber)
	{
		$sql = "SELECT ParentNumber FROM menumst Where ParentNumber='$ParentNumber'";
		$qry = $this->db->query($sql);
		$row = $qry->result_array();
		
		return $row;
	}
	
	function CekChild($Child)
	{
		$sql = "SELECT Child FROM menumst Where Child='$Child'";
		$qry = $this->db->query($sql);
		$row = $qry->result_array();
		
		return $row;
	}
	
	//===================================sub sub menu =====================================
	
	function DataSubSub($MenuID,$MenuSubID)
	{
        $sql = "SELECT MenuID, MenuName, sort, ParentNumber, (CASE MenuType WHEN 'B' THEN 'Backend' WHEN 'F' THEN 'Frontend' ELSE 'Super Admin' END) AS MenuType 
				FROM menumst 
				WHERE ParentNumber = '$MenuID' 
				AND menu_level = '3'
				AND Child = '$MenuSubID'
				ORDER BY MenuID ASC";
        $qry = $this->db->query($sql);
        $row = $qry->result_array();
		
        return $row;
	}
	
	function CekChildsubsub($Child)
	{
		$sql = "SELECT Child FROM menumst Where Child='$Child'";
		$qry = $this->db->query($sql);
		$row = $qry->result_array();
		/*
		$sql = "SELECT COUNT(Child) FROM menumst Where Child='$Child'";
		$qry = $this->db->query($sql);
		$row = $qry->result_array();
		*/
		return $row;
	}
	
	
	function SetNullChildsubsub($Child)
	{
        $sql = "Update menumst set Child=NULL where MenuID='$Child'";
        $qry = $this->db->query($sql);
	}
	
	/////////////////////////////////////////////////////// Insert Config Global for menu ////////////////////////////////////////////////////////////////
	
	function InsertConfigModul($MenuID)
	{
        $sql = "INSERT INTO `config_module` (
											 `MenuID`,
											 `ModuleName`,
											 `Name`,
											 `Name_Req`,
											 `Name_MaxChars`,
											 `E_Name`,
											 `E_Name_Req`,
											 `E_Name_MaxChars`,
											 `ShortDesc`,
											 `ShortDesc_Req`,
											 `ShortDesc_MaxChars`,
											 `E_ShortDesc`,
											 `E_ShortDesc_Req`,
											 `E_ShortDesc_MaxChars`,
											 `LongDesc`, `LongDesc_Req`,
											 `LongDesc_MaxChars`,
											 `E_LongDesc`,
											 `E_LongDesc_Req`,
											 `E_LongDesc_MaxChars`,
											 `Image`
								) VALUES (		
											  $MenuID,
											  (SELECT MenuName FROM menumst WHERE MenuID=$MenuID),
											  1,
											  1,
											  20,
											  1,
											  1,
											  20,
											  1,
											  1,
											  100,
											  1,
											  1,
											  100,
											  1,
											  1,
											  1,
											  1,
											  1,
											  1,
											  1
										)";	
		
		
        $qry = $this->db->query($sql);
	}
	
	
	
}
?>