<?php
include(BASEPATH.'application/controllers/authcontroller'.EXT);
class admin_banner extends authcontroller
{
	function __construct()
	{
        parent::Controller();
		$this->load->model('admin_banner_model');
		$this->load->helper('file');
		
    }
	
	function index($MENU_ID)
	{
		define("MENU_ID", $MENU_ID);
        $UserID = $this->session->userdata('UserID');      
        $this->redirectNoAuthRead($UserID, MENU_ID);
		
		$data['DataView'] = $this->admin_banner_model->DataView();
		//$data['ImgName'] = $this->admin_banner_model->ImgName($ImgID);
		//$data['ImgSubName'] = $this->admin_banner_model->ImgSubName($ImgSubID);
		
		
		$this->load->view('admin/admin_banner',$data);
	}
	
	
	function Update_MainFlg($MENU_ID, $ImgID, $ImgSubID, $HomeImgID)
	{
		
		
		$this->admin_banner_model->SetoneMainFlg($ImgSubID);
		
		$this->admin_banner_model->UpdateMainFlg($HomeImgID);
		
		redirect('admin_banner/index/'.$MENU_ID.'/'.$ImgID.'/'.$ImgSubID);
		
	}
	
	function UpdateSort($MENU_ID)
	{
		$link       			= $this->input->post('link_view');
		$Sort       			= $this->input->post('sortupdate');
		$HomeImgID       		= $this->input->post('HomeImgID');
		//Print_array ($link);
		//Print_array ($Sort).'<br>';
		//Print_array ($HomeImgID).'<br>';
		
	
		// Update Sort ////////////////////////////////////////////////////////
		
		for($a=0 ; $a<count($HomeImgID) ; $a++)
		{
			$this->admin_banner_model->UpdateSort($HomeImgID[$a], $Sort[$a], $link[$a]);
		}
		
		redirect('admin_banner/index/'.$MENU_ID);
		////////////////////////////////////////////		
	/**/	
	}
	
	function insert_process($MENU_ID)
	{
		//echo ($this->input->post('HomeImgName'));
		
		//delete_files('./uploads/home/banner/img_cache'); // delete if upload new
		
		$HomeImgID    = $this->admin_banner_model->GetLastHomeImgID();
		$MainFlg 	= 0;
		
		if($this->input->post('MainFlg') == 'on')
		{
			$MainFlg = 1;
		}
		
		$ImageName = $HomeImgID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
		
		$data = array(
					'HomeImgID'			=> $HomeImgID,
					'HomeImgName'    	=> $this->input->post('HomeImgName'),
					'link'    			=> $this->input->post('link'),
					'HomeImgCaption'    => $this->input->post('HomeImgCaption'),
					'E_HomeImgCaption'  => $this->input->post('E_HomeImgCaption'),
					'Sort'   			=> $this->admin_banner_model->LastSort(),
					'Image'        		=> $ImageName,
					'MainFlg'   		=> $MainFlg
				);
		
		$config['file_name']      = $HomeImgID;
		$config['upload_path']    = './uploads/banner';
		$config['allowed_types']  = 'gif|jpg|png|';
		$config['max_size']	      = '500';
		$config['max_width']      = '1000';
		$config['max_height']     = '330';
		
		$this->load->library('upload', $config);
		$upload = $this->upload->do_upload('ImageUpload');
		
		if(! $upload ) {
		
			$error = array('error' => $this->upload->display_errors());	
			
			$this->load->view('admin/admin_gallery_error', $error);
		}
		
		else
		{
			$this->db->insert('banner', $data);
			
			redirect('admin_banner/index/'.$MENU_ID);
		}
		/**/
	}
	
	function Update_Publish($HomeImgID)
	{
		$MENU_ID = $this->uri->segment(3);
		$aktif = $this->admin_banner_model->Update_Publish($HomeImgID);
		
		if($aktif[0]['Publish']=='on'){
			$sql = "Update banner set Publish='off' where HomeImgID ='$HomeImgID'";
        	$qry = $this->db->query($sql);	
		}else{
			$sql = "Update banner set Publish='on' where HomeImgID ='$HomeImgID'";
        	$qry = $this->db->query($sql);	
			
		}
			redirect('admin_banner/index/'.$MENU_ID);
	}
	
	function delete($MENU_ID, $HomeImgID, $Image)
	{
		
		//echo $HomeImgID;
		
		$this->db->where('HomeImgID', $HomeImgID);
		$this->db->delete('banner');
		
		unlink('./uploads/banner/'.$Image);
		
		redirect('admin_banner/index/'.$MENU_ID);
		/**/
	}

}

?>