<?php
include(BASEPATH.'application/controllers/authcontroller'.EXT);
class admin_contact extends authcontroller
{
	function __construct()
	{
        parent::Controller();
		$this->load->model('admin_contact_model');
    }
	
	function index($MENU_ID)
	{	
		define("MENU_ID",$MENU_ID);
        $UserID = $this->session->userdata('UserID');
        $this->redirectNoAuthRead($UserID, $MENU_ID); // take from function in application/controllers/authcontroller
		
		
		$data['CurrentImageList'] = $this->admin_contact_model->CurrentImageList();
		$data['config_module']    = $this->admin_contact_model->config_module($MENU_ID);
		$data['DataEdit'] = $this->admin_contact_model->DataEdit();
				
		$this->load->view('admin/admin_contact',$data);
	}
	
	///////////////////////////////////////////////////////////////////////
	
	function edit_process($MENU_ID,$ContactID)
	{
		/**/
		$PublishFlg = 0;
		
		$CekImage = $this->admin_contact_model->CekImage($ContactID);
		$Cek = $CekImage[0]['Image'];
		
		
		
		if($this->input->post('PublishFlg') == 'on')
		{
			$PublishFlg = 1;
		}
			
		if($this->input->post('ImageType') != '')
		{
			if($this->input->post('ImageType') == 'NoImage')
			{
				if ($Cek !="")
				{
				unlink('./uploads/contact/'.$Cek);
				}
				$ImageName = "";
			}
			else if($this->input->post('ImageType') == 'UploadNew')
			{
			$ImageName = $ContactID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
				
				$config['file_name']      = $ContactID;
				$config['upload_path']    = './uploads/contact/';
				$config['allowed_types']  = 'gif|jpg|png|jpeg|';
				$config['max_size']	      = '500';
				$config['max_width']      = '500';
				$config['max_height']     = '500';
				
				$this->load->library('upload', $config);
				if (!$this->upload->do_upload('ImageUpload'))					
				{
					$error = $this->upload->display_errors();
					redirect('admin_main/errorupload/'.$MENU_ID.'/'.$error);
				}else{
					if ($Cek !="")
					{
					unlink('./uploads/contact/'.$Cek);
					}
				}
				//$this->uploadImage($ContactID);
			}	
			else if($this->input->post('ImageType') == 'SelectList')
			{
				$ImageName = $this->input->post('ImageCurrent');
			}
			
			$data = array(
						'Name'         => $this->input->post('Name'),
						'E_Name'       => $this->input->post('E_Name'),
						'ShortDesc'    => $this->input->post('ShortDesc'),
						'E_ShortDesc'  => $this->input->post('E_ShortDesc'),
						'LongDesc'     => $this->input->post('LongDesc'),
						'E_LongDesc'   => $this->input->post('E_LongDesc'),
						'suport'     => $this->input->post('suport'),
						'title'     => $this->input->post('title'),
						'Image'        => $ImageName,
						'PublishFlg'   => $PublishFlg
					);
		}
		else
		{
			$data = array(	
						'Name'         => $this->input->post('Name'),
						'E_Name'       => $this->input->post('E_Name'),
						'ShortDesc'    => $this->input->post('ShortDesc'),
						'E_ShortDesc'  => $this->input->post('E_ShortDesc'),
						'LongDesc'     => $this->input->post('LongDesc'),
						'E_LongDesc'   => $this->input->post('E_LongDesc'),
						'suport'     => $this->input->post('suport'),
						'title'     => $this->input->post('title'),
						'PublishFlg'   => $PublishFlg
					);
		}
		
		$this->db->where('ContactID', $ContactID);
		$this->db->update('contact', $data);
		
		redirect('admin_contact/index/'.$MENU_ID);
		
	}
	
	
	function uploadImage($ContactID)
	{
		$config['file_name']      = $ContactID;
		$config['upload_path']    = './uploads/contact';
		$config['allowed_types']  = 'gif|jpg|png';
		$config['max_size']	      = '100';
		$config['max_width']      = '1024';
		$config['max_height']     = '768';
		
		$this->load->library('upload', $config);
		$this->upload->do_upload('ImageUpload');
	}
}
?>