<?php
include(BASEPATH.'application/controllers/authcontroller'.EXT);
class admin_main extends authcontroller
{
	
	
	function __construct()
	{
        parent::Controller();
		$this->load->model('admin_main_model');
		
		#ini sialization the table which will be use
		$this->table =  $this->uri->segment(3);
	 	if($this->table == '9'){
			$this->table = 'about';
		}elseif ($this->table == '10'){
			$this->table = 'product';
		}elseif($this->table == '11'){
			$this->table = 'driper';
		}elseif($this->table == '12'){
			$this->table = 'green';
		}
    }
	
	function index($MENU_ID)
	{
		define("MENU_ID", $MENU_ID);
        $UserID = $this->session->userdata('UserID');      
        $this->redirectNoAuthRead($UserID, MENU_ID);
		
		$data['DataView']	= $this->admin_main_model->DataView($this->table);
		$data['LinkView']	= $this->admin_main_model->LinkView($MENU_ID);
		
		//print_array($data['DataView']);
		
		$data['Tab']		= strtoupper($this->table);
				
		$this->load->view('admin/admin_main',$data);
	}
	
	function update_all($MENU_ID)
	{
		$ID     = $this->input->post('ID');
		$Sort       	= $this->input->post('Sort');
		$PublishFlg 	= $this->input->post('PublishFlg');
		
		// Update PublishFlg /////////////////////////////////////////////////
		
		$this->admin_main_model->SetNullPublishFlg($this->table); //set null
		
		$strBaca = "";
		for ($i=0; $i<count($PublishFlg); $i++)
		{
			$strBaca = $strBaca . "'" . $PublishFlg[$i] . "',";
		}
		
		$PublishFlg = substr($strBaca, 1, strlen($strBaca)-3);
		
		$this->admin_main_model->UpdatePublishFlg($PublishFlg, $this->table);
		
		
		// print_array($PublishFlg); // cek keluaran array
		
	
		// Update Sort ////////////////////////////////////////////////////////
	
		for($a=0 ; $a<count($ID) ; $a++)
		{
			$this->admin_main_model->UpdateSort($ID[$a], $Sort[$a], $this->table);
		}
		
		//print_array ($Sort);
		
		///////////////////////////////////////////////////////////////////////
		
		redirect('admin_main/index/'.$MENU_ID);
	
	}
	
	function insert($MENU_ID)
	{
		//$data['CurrentImageList'] = $this->admin_main_model->CurrentImageList();
		$data['config_module']    = $this->admin_main_model->config_module($MENU_ID);
		$data['Tab']		= strtoupper($this->table);
		
		$this->load->view('admin/admin_main_insert', $data);
	}
	
	function insert_process($MENU_ID)
	{
		$ID     = $this->admin_main_model->GetLastID($this->table);
		$PublishFlg = 0;
		$ImageName = "";
		
		if($this->input->post('PublishFlg') == 'on')
		{
			$PublishFlg = 1;
		}
		
		if($this->input->post('ImageType') == 'NoImage')
		{
			$ImageName = "";
		}
		else if($this->input->post('ImageType') == 'UploadNew')
		{
			$ImageName = $ID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
			//if(! $this->uploadImage($ID))
			$config['file_name']      = $ID;
			$config['upload_path']    = './uploads/'.$this->table;
			$config['allowed_types']  = 'gif|jpg|png|';
			$config['max_size']	      = '500';
			$config['max_width']      = '500';
			$config['max_height']     = '500';
			
			$this->load->library('upload', $config);
			if (!$this->upload->do_upload('ImageUpload'))					
			{
				$error = $this->upload->display_errors();
				redirect('admin_main/errorupload/'.$MENU_ID.'/'.$error);
			}
		}
		else if($this->input->post('ImageType') == 'SelectList')
		{
			$ImageName = $this->input->post('ImageCurrent');
		}		
		
		$data = array(
					'ID' 	       			=> $ID,
					'Name'       	  		=> $this->input->post('Name'),
					'E_Name'      	 		=> $this->input->post('E_Name'),
					'ShortDesc'    			=> $this->input->post('ShortDesc'),
					'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
					'LongDesc'     			=> $this->input->post('LongDesc'),
					'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
					'Image'        			=> $ImageName,
					'Sort'         			=> $this->admin_main_model->LastSort($this->table),
					'PublishFlg'   			=> $PublishFlg,
				);
		
		
		$this->db->insert($this->table, $data);
		
		redirect('admin_main/index/'.$MENU_ID);
	}
	
	function uploadImage($ID)
	{
		$config['file_name']      = $ID;
		$config['upload_path']    = './uploads/'.$this->table;
		$config['allowed_types']  = 'gif|jpg|png|';
		$config['max_size']	      = '500';
		$config['max_width']      = '500';
		$config['max_height']     = '500';
		
		$this->load->library('upload', $config);
		$this->upload->do_upload('ImageUpload');
	}

	function errorupload($error)
	{
		$this->load->view('admin/admin_gallery_error');
	}
	
	function edit($MENU_ID,$ID)
	{
		//$data['CurrentImageList'] = $this->admin_main_model->CurrentImageList();
		$data['DataEdit']         = $this->admin_main_model->DataEdit($ID, $this->table);
		
		$data['config_module']    = $this->admin_main_model->config_module($MENU_ID);
		$data['Tab']			  = strtoupper($this->table);
		
		$this->load->view('admin/admin_main_edit', $data);
	}
	
	function edit_process($MENU_ID,$ID)
	{
		$PublishFlg = 0;
		$CekImg = $this->admin_main_model->CekImage($ID, $this->table); // cek image ada yang pakai ato tidak		
		//$Count =  $CekImg['Count'];
		$Image = $CekImg['Image'];
		
		if($this->input->post('PublishFlg') == 'on')
		{
			$PublishFlg = 1;
		}
		
		if($this->input->post('ImageType') != '')
		{
			if($this->input->post('ImageType') == 'NoImage')
			{
				$filename = './uploads/'.$this->table.'/'.$Image;
				if (file_exists($filename)  && $Image <> '') 
				{
					unlink('./uploads/'.$this->table.'/'.$Image);
				}		

				$ImageName = "";
			}
			else if($this->input->post('ImageType') == 'UploadNew')
			{
				$ImageName = $ID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
				$filename = './uploads/'.$this->table.'/'.$Image;
				if (file_exists($filename) && $Image <> '') 
				{
					unlink('./uploads/'.$this->table.'/'.$Image);
				}
				
				//$this->uploadImage($ID);
				$config['file_name']      = $ID;
				$config['upload_path']    = './uploads/'.$this->table;
				$config['allowed_types']  = 'gif|jpg|png|';
				$config['max_size']	      = '500';
				$config['max_width']      = '500';
				$config['max_height']     = '500';
				
				$this->load->library('upload', $config);
				if (!$this->upload->do_upload('ImageUpload'))					
				{
					$error = $this->upload->display_errors();
					redirect('admin_main/errorupload/'.$MENU_ID.'/'.$error);
				}				
			}
			else if($this->input->post('ImageType') == 'SelectList')
			{
				$ImageName = $this->input->post('ImageCurrent');
			}
			
			$data = array(
						'Name'     	   			=> $this->input->post('Name'),
						'E_Name'    	   		=> $this->input->post('E_Name'),
						'ShortDesc'   			=> $this->input->post('ShortDesc'),
						'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
						'LongDesc'     			=> $this->input->post('LongDesc'),
						'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
						'Image'        			=> $ImageName,
						'PublishFlg'   			=> $PublishFlg
					);
		}
		else
		{
			$data = array(
						'Name' 	       		 	=> $this->input->post('Name'),
						'E_Name'   	    		=> $this->input->post('E_Name'),
						'ShortDesc'    			=> $this->input->post('ShortDesc'),
						'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
						'LongDesc'     			=> $this->input->post('LongDesc'),
						'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
						'PublishFlg'   			=> $PublishFlg
					);
		}
		
		$this->db->where('ID', $ID);
		$this->db->update($this->table, $data);
		
		redirect('admin_main/index/'.$MENU_ID);
	}
	
	function delete($MENU_ID,$ID)
	{
		$CekImg = $this->admin_main_model->CekImage($ID, $this->table); // cek image ada yang pakai ato tidak		
		//$Count =  $CekImg['Count'];
		$Image = $CekImg['Image'];
		//print_array ($CekImg);
		
		$filename = './uploads/'.$this->table.'/'.$Image;
		
		if (file_exists($filename) && $Image <> '') {
			unlink('./uploads/'.$this->table.'/'.$Image);
		}		

		$this->db->where('ID', $ID);
		$this->db->delete($this->table);
		
		redirect('admin_main/index/'.$MENU_ID);
		
	}
	
	
}
?>