<?php
include(BASEPATH.'application/controllers/authcontroller'.EXT);
class admin_menu extends authcontroller
{
    function __construct()
	{
        parent::Controller();
        $this->load->model('admin_menu_model');
    }
	
	function index($MENU_ID)
	{
		define("MENU_ID",$MENU_ID);
        //$UserID = $this->session->userdata('UserID');      
        //$this->redirectNoAuthRead($UserID, $MENU_ID); // take from function in application/controllers/authcontroller
		//echo $this->admin_menu_model->GetLastMenuID();
		
		
	 	$data['DataView'] = $this->admin_menu_model->DataView();
		
		$this->load->view('admin/admin_menu', $data);
	}
	
	//=====================================================================Main Menu Function ============================================
	function insert()
	{		
		
	 	$MenuID = $this->admin_menu_model->GetLastMenuID(); // untuk dapetin menu ID yang terakhir
		
		$MENU_ID = $this->input->post('MENU_ID');  // untuk redirect dari input type hidden
		
		$Parent = $this->input->post('MenuType');
		
		if ($Parent == 'F')
		{
			$ParentNumber = 'f';
		}else{
			$ParentNumber = $this->input->post('ParentNumber');		
		}
		
	
		$data = array(
					'MenuID'    	=> $MenuID,
					'MenuName'  	=> $this->input->post('MenuName'),
					'ParentNumber' 	=> $ParentNumber,
					'menu_level' 	=> $this->input->post('menu_level'),
					'cMenuName' 	=> $this->input->post('cMenuName'),
					'MenuType'  	=> $this->input->post('MenuType'),
					'sort'			=> $MenuID
				);
		
		
		//print_array($data);		
		$this->db->insert('menumst', $data); //insert  table  menumst where MenuID=$MenuID
		
		$this->admin_menu_model->InsertUserGroupDetail($MenuID); // insert table  usergroupdtlmst where MenuID=$MenuID
		
		
		$this->admin_menu_model->SetCheckedAdmin($MenuID);
		
		$this->admin_menu_model->InsertConfigModul($MenuID); // insert table  usergroupdtlmst where MenuID=$MenuID
		
		redirect('admin_menu/index/'.$MENU_ID);
		/**/
		
	}
	
	function delete($MENU_ID,$MenuID)
	{	
		//delete table  menumst where MenuID=$MenuID
		$this->db->where('MenuID', $MenuID);
		$this->db->delete('menumst');
		
		// delete table  usergroupdtlmst where MenuID=$MenuID
		$this->db->where('MenuID', $MenuID);
		$this->db->delete('usergroupdtlmst');
		
		// delete table  usergroupdtlmst where MenuID=$MenuID
		$this->db->where('MenuID', $MenuID);
		$this->db->delete('config_module');
		
		redirect('admin_menu/index/'.$MENU_ID);
	}
	
	function update_all()
	{
		$MenuID    		= $this->input->post('MenuID');
		$MENU_ID      = $this->input->post('MENU_ID');
		$sort       	= $this->input->post('sort');
		/*
		print_array ($MenuID);
		echo '<br>';
		print_array ($sort);
		echo '<br>';
		echo $MENU_ID;
		//echo '<br>';
		//echo $cMenuName;
		//echo '<br>';
		*/
		
		for($a=0 ; $a<count($MenuID) ; $a++)
		{
			$this->admin_menu_model->UpdateSort($MenuID[$a], $sort[$a]);
		}
		
		redirect('admin_menu/index/'.$MENU_ID);
	
	}
	
	// ==================================================================Main Sub Menu Function =================================================
	
	function submenu($MENU_ID,$MenuID)
	{
		
		$data['DataView'] = $this->admin_menu_model->DataSub($MenuID);
		
		$this->load->view('admin/admin_menusub', $data);
	
	}
	
	function insertsub()
	{
	 	$MenuID = $this->admin_menu_model->GetLastMenuID(); // untuk dapetin menu ID yang terakhir
		
		$MENU_ID = $this->input->post('MENU_ID');  // untuk redirect dari input type hidden =>no iD dari admin_Menu
		
		//$MenuName  	= $this->input->post('MenuName');
		//$ParentNumber= $this->input->post('ParentNumber');
		//$menu_level	= $this->input->post('menu_level');
		//$cMenuName= $this->input->post('cMenuName');
		//$MenuType= $this->input->post('MenuType');
		
		/*
		echo $MenuName;
		echo '<br>';
		echo $ParentNumber;
		echo '<br>';
		echo $menu_level;
		echo '<br>';
		echo $cMenuName;
		echo '<br>';
		echo $MenuType;
		echo '<br>';
		echo $MenuID;
		echo '<br>';
		echo $MENU_ID;
	
		
		
		*/
		

		$data = array(
					'MenuID'    	=> $MenuID,
					'MenuName'  	=> $this->input->post('MenuName'),
					'ParentNumber' 	=> $this->input->post('ParentNumber'),
					'menu_level' 	=> $this->input->post('menu_level'),
					'cMenuName' 	=> $this->input->post('cMenuName'),
					'MenuType'  	=> $this->input->post('MenuType'),
					'sort'			=> $MenuID
				);
		
		//print_array($data);
		
		$Child = $data['ParentNumber'];
		
		$this->db->insert('menumst', $data);
		
		$this->admin_menu_model->InsertUserGroupDetail($MenuID);
		$this->admin_menu_model->InsertConfigModul($MenuID); // insert table  usergroupdtlmst where MenuID=$MenuID
		$this->admin_menu_model->SetCheckedAdmin($MenuID);
		
		$this->admin_menu_model->UpdateChild($Child); // tu set this to be parent menu for sub menu
		
		redirect('admin_menu/submenu/'.$MENU_ID.'/'.$data['ParentNumber']);
		
	}
	
	function deletesub($MENU_ID,$ParentNumber,$MenuID)
	{	
		/////////// check ParentNumber only one record ///////////////
		$data = $this->admin_menu_model->CekParentNumber($ParentNumber);
		$Cek = sizeof($data);
		
		if ($Cek ==1){
		$this->admin_menu_model->SetNullChild($ParentNumber);
		}
		
		////////////// Proses delete //////////////////////////
		$this->db->where('MenuID', $MenuID);
		$this->db->delete('menumst');
		
		$this->db->where('MenuID', $MenuID);
		$this->db->delete('usergroupdtlmst');
		
		redirect('admin_menu/submenu/'.$MENU_ID.'/'.$ParentNumber);
	}
	
	function updatesub_all()
	{
		
		$ParentNumber  	= $this->input->post('ParentNumber');
		$MENU_ID      	= $this->input->post('MENU_ID');
		
		$sort       	= $this->input->post('sort');
		$MenuID    		= $this->input->post('MenuID');
		/*
		print_array ($MenuID);
		echo '<br>';
		print_array ($sort);
		echo '<br>';
		echo $MENU_ID;
		//echo '<br>';
		//echo $cMenuName;
		//echo '<br>';
		*/
		
		for($a=0 ; $a<count($MenuID) ; $a++)
		{
			$this->admin_menu_model->UpdateSort($MenuID[$a], $sort[$a]);
		}
		
		redirect('admin_menu/submenu/'.$MENU_ID.'/'.$ParentNumber);
	
	}
	
	// ==================================================================Main Sub Sub Menu Function =================================================
	
	function subsubmenu($MENU_ID, $MenuID, $SubMenuID)
	{
		
		$data['DataSubSub'] = $this->admin_menu_model->DataSubSub($MenuID,$SubMenuID);
		
		$this->load->view('admin/admin_subsubmenu', $data);
	
	}
	
	function insertsubsub()
	{
		//echo 'masuk';
	 	$MenuID = $this->admin_menu_model->GetLastMenuID(); // untuk dapetin menu ID yang terakhir
		
		
		$MENU_ID = $this->input->post('MENU_ID');  // untuk redirect dari input type hidden =>no iD dari admin_Menu
		/*
		$MenuName  	= $this->input->post('MenuName');
		$ParentNumber= $this->input->post('ParentNumber');
		$menu_level	= $this->input->post('menu_level');
		$cMenuName= $this->input->post('cMenuName');
		$MenuType= $this->input->post('MenuType');
		$Child= $this->input->post('Child');
		//echo $Child;
		
		echo $MenuName;
		echo '<br>';
		echo $ParentNumber;
		echo '<br>';
		echo $menu_level;
		echo '<br>';
		echo $cMenuName;
		echo '<br>';
		echo $MenuType;
		echo '<br>';
		echo $MenuID;
		echo '<br>';
		echo $MENU_ID;
	
		*/
		$data = array(
					'MenuID'    	=> $MenuID,
					'MenuName'  	=> $this->input->post('MenuName'),
					'ParentNumber' 	=> $this->input->post('ParentNumber'),
					'Child' 		=> $this->input->post('Child'),	
					'menu_level' 	=> $this->input->post('menu_level'),
					'cMenuName' 	=> $this->input->post('cMenuName'),
					'MenuType'  	=> $this->input->post('MenuType'),
					'sort'			=> $MenuID
				);
		
		
		$Child = $data['Child'];
		
		$this->db->insert('menumst', $data);
		
		$this->admin_menu_model->InsertUserGroupDetail($MenuID);
		$this->admin_menu_model->SetCheckedAdmin($MenuID);
		
		$this->admin_menu_model->UpdateChild($Child); // tu set this to be parent menu for sub menu
		
		$this->admin_menu_model->SetNullcMenuName($Child);
		
		redirect('admin_menu/subsubmenu/'.$MENU_ID.'/'.$data['ParentNumber'].'/'.$data['Child']);
		
	}
	
	function deletesubsub($MENU_ID,$ParentNumber,$Child,$MenuSubID)
	{	
		/////////// check ParentNumber is 2 record ///////////////

		$data = $this->admin_menu_model->CekChildsubsub($Child);
		$Cek = sizeof($data);
		if ($Cek == '2')
		{
			$this->admin_menu_model->SetNullChildsubsub($Child);

		}
		////////////// Proses delete //////////////////////////
		$this->db->where('MenuID', $MenuSubID);
		$this->db->delete('menumst');
		
		$this->db->where('MenuID', $MenuSubID);
		$this->db->delete('usergroupdtlmst');
		
		redirect('admin_menu/subsubmenu/'.$MENU_ID.'/'.$ParentNumber.'/'.$Child);
		
	}
	
	function updatesubsub_all()
	{
		
		$ParentNumber  	= $this->input->post('ParentNumber');
		$MENU_ID      	= $this->input->post('MENU_ID');
		$MenuSubID    		= $this->input->post('Child');
		
		$sort       	= $this->input->post('sort');
		$MenuID    		= $this->input->post('MenuID');
		/*
		echo 'ParentNumber ='.$ParentNumber.'<br>';
		echo 'MENU_ID ='.$MENU_ID.'<br>';
		echo 'MenuSubID ='.$MenuSubID.'<br>';
		print_array ($MenuID);
		echo '<br>';
		print_array ($sort);
		echo '<br><br><br><br>';
		echo 'http://localhost/selebriti.com/admin_menu/subsubmenu/14/7/15.php';
		
		
	
		
		
		print_array ($MenuID);
		echo '<br>';
		print_array ($sort);
		echo '<br>';
		echo $MENU_ID;
		//echo '<br>';
		//echo $cMenuName;
		//echo '<br>';
		
		*/
		for($a=0 ; $a<count($MenuID) ; $a++)
		{
			$this->admin_menu_model->UpdateSort($MenuID[$a], $sort[$a]);
		}
		
		redirect('admin_menu/subsubmenu/'.$MENU_ID.'/'.$ParentNumber.'/'.$MenuSubID);
	
	}

}
?>