<?php
include(BASEPATH.'application/controllers/authcontroller'.EXT);
class admin_subengine extends authcontroller{
	function __construct(){
		parent::Controller();
		$this->load->model('model_admin_subengine');
		$this->load->model('authmodel');
	}
	function index($id_engine){
		$MENU_ID=$this->uri->segment(3);
		$id_engine=$this->uri->segment(4);
		if ($this->session->userdata('UserID')){
			
			$UserID = $this->session->userdata('UserID'); 
			define("MENU_ID", $MENU_ID);
        	$this->redirectNoAuthRead($UserID, MENU_ID);
			
			$data['datalist'] = $this->model_admin_subengine->DatalistGroup($id_engine);
			$data['engine'] = $this->model_admin_subengine->getdataengine($id_engine);
			//print_array ($id_engine);
			$this->load->view('admin/view_admin_subengine',$data);
			
		}else{
			redirect('admin_login');
		}
	}
	#view
	function edit(){
		$MENU_ID=$this->uri->segment(3);
		$gid=$this->uri->segment(4);
		if ($this->session->userdata('UserID')){
			$id=$this->uri->segment(5);
			$data['productedit']      =$this->model_admin_subengine->getdataedit($id);
			$data['config_module']    = $this->authmodel->config_module($MENU_ID);
			$this->load->view('admin/view_subengine_edit',$data);
		}else{
			redirect('admin_login');
		}
	}
	function insert(){
		if ($this->session->userdata('UserID')){
			$MENU_ID=$this->uri->segment(3);
			$data['config_module']    = $this->authmodel->config_module($MENU_ID);
			
			$this->load->view('admin/view_admin_subengine_insert',$data);
		}else{
			redirect('admin_login');
		}
	}
	#proses 
	function insert_process(){
		$MENU_ID=$this->uri->segment(3);
		$gid=$this->uri->segment(4);
		$PublishFlg = 0;
		$ImageName = "";
		$id_subengine     = $this->model_admin_subengine->GetLastsubengineID();
		if($this->input->post('PublishFlg') == 'on')
		{
			$PublishFlg = 1;
		}
		$do=true;
		if($this->input->post('ImageType') == 'NoImage')
		{
			$ImageName = "";
			
		}else if($this->input->post('ImageType') == 'UploadNew'){

			//$ImageID=$this->model_admin_subengine->LastSort();
			$ImageID=$this->model_admin_subengine->Lastid();
			$ImageName = $ImageID.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
			$do=$this->uploadImage($ImageID);
			
		
		}
		if($do==false){
			redirect('admin_subengine/insert/'.$MENU_ID.'/'.$gid.'/Error');
		}else{
		$data = array(
					'id_engine' 	   		=> $this->input->post('gid'),
					'id_subengine' 	   		=> $id_subengine,
					'Name'       	  		=> $this->input->post('ImgName'),
					'E_Name'      	 		=> $this->input->post('E_ImgName'),
					'ShortDesc'    			=> $this->input->post('ShortDesc'),
					'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
					'LongDesc'     			=> $this->input->post('LongDesc'),
					'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
					'kWm'   				=> $this->input->post('kwm'),
					'kWe'   				=> $this->input->post('kwe'),
					'kVA'   				=> $this->input->post('kva'),
					'GE'   					=> $this->input->post('ge'),
					'EU'   					=> $this->input->post('eu'),
					'EPA'   				=> $this->input->post('epa'),
					'Image'        			=> $ImageName,
					'Sort'         			=> $this->model_admin_subengine->LastSort(),
					'PublishFlg'   			=> $PublishFlg,
				);
		
		$this->db->insert('subengine', $data);
		//print_array ($data);
		redirect('admin_subengine/index/'.$MENU_ID.'/'.$gid);
		}
	}
	function edit_process()
	{
		$MENU_ID=$this->uri->segment(3);
		$gid=$this->uri->segment(4);
		$pid=$this->uri->segment(5);
		//echo $id_subengine;
		//$id_subengine = $this->uri->segment(6);
		$id_subengine=$this->input->post('id');
		
		$PublishFlg = 0;
		$CekImg = $this->model_admin_subengine->CekImage($id_subengine);  // cek image ada yang pakai ato tidak		
		$Count =  $CekImg['Count'];
		$Image = $CekImg['Image'];
		//print_array ($CekImg);
		
		if($this->input->post('PublishFlg') == 'on')
		{
			$PublishFlg = 1;
		}
		
		if($this->input->post('ImageType') != '')
		{
			if($this->input->post('ImageType') == 'NoImage')
			{
				if ($Count == 1)
				{
				unlink('./uploads/engine/'.$Image);
				}
				
				$ImageName = "";
			}
			else if($this->input->post('ImageType') == 'UploadNew')
			{
				$ImageName = $id_subengine.'.'.substr($_FILES['ImageUpload']['name'], strrpos($_FILES['ImageUpload']['name'], '.') + 1);
				if ($Count == 1)
				{
				unlink('./uploads/engine/'.$Image);
				}
				
				$this->uploadImage($id_subengine);
			}
			else if($this->input->post('ImageType') == 'SelectList')
			{
				$ImageName = $this->input->post('ImageCurrent');
			}
			
			$data = array(
						'Name' 	        		=> $this->input->post('Name'),
						'E_Name'   	    		=> $this->input->post('E_Name'),
						'ShortDesc'    			=> $this->input->post('ShortDesc'),
						'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
						'LongDesc'     			=> $this->input->post('LongDesc'),
						'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
						'kWm'   				=> $this->input->post('kwm'),
						'kWe'   				=> $this->input->post('kwe'),
						'kVA'   				=> $this->input->post('kva'),
						'GE'   					=> $this->input->post('ge'),
						'EU'   					=> $this->input->post('eu'),
						'EPA'   				=> $this->input->post('epa'),
						'Image'        			=> $ImageName,
						'PublishFlg'   			=> $PublishFlg
					);
		}
		else
		{
			$data = array(
						'Name' 	        		=> $this->input->post('Name'),
						'E_Name'   	    		=> $this->input->post('E_Name'),
						'ShortDesc'    			=> $this->input->post('ShortDesc'),
						'E_ShortDesc'  			=> $this->input->post('E_ShortDesc'),
						'LongDesc'     			=> $this->input->post('LongDesc'),
						'E_LongDesc'   			=> $this->input->post('E_LongDesc'),
						'kWm'   				=> $this->input->post('kwm'),
						'kWe'   				=> $this->input->post('kwe'),
						'kVA'   				=> $this->input->post('kva'),
						'GE'   					=> $this->input->post('ge'),
						'EU'   					=> $this->input->post('eu'),
						'EPA'   				=> $this->input->post('epa'),
						'PublishFlg'   			=> $PublishFlg
					);
		}
		
		$this->db->where('id_subengine', $id_subengine);
		$this->db->update('subengine', $data);
		
		redirect('admin_subengine/index/'.$MENU_ID.'/'.$gid);
	}

	function update_all(){
		$MENU_ID		=$this->uri->segment(3);
		$gid		=$this->uri->segment(4);
		$ImgID    		= $this->input->post('ImgID');
		$Sort       	= $this->input->post('Sort');
		$PublishFlg 	= $this->input->post('PublishFlg');
		
		// Update PublishFlg /////////////////////////////////////////////////
		
		$this->model_admin_subengine->SetNullPublishFlg($gid); //set null
		
		$strBaca = "";
		for ($i=0; $i<count($PublishFlg); $i++)
		{
			$strBaca = $strBaca . "'" . $PublishFlg[$i] . "',";
		}
		
		$PublishFlg = substr($strBaca, 1, strlen($strBaca)-3);
		
		$this->model_admin_subengine->UpdatePublishFlg($PublishFlg);
		
		// print_array($PublishFlg); // cek keluaran array
		
	
		// Update Sort ////////////////////////////////////////////////////////
		
		for($a=0 ; $a<count($ImgID) ; $a++)
		{
			$this->model_admin_subengine->UpdateSort($ImgID[$a], $Sort[$a]);
		}
		
		//print_array ($Sort);
		
		///////////////////////////////////////////////////////////////////////
		
		redirect('admin_subengine/index/'.$MENU_ID.'/'.$gid);
	}
	
	function uploadImage($ImageName)
	{
			$config['file_name']      = $ImageName;
			$config['upload_path']    = './uploads/engine/';
			$config['allowed_types']  = 'gif|jpg|png|jpeg';
			$config['max_size']	      = '500';
			$config['max_width']      = '800';
			$config['max_height']     = '500';
			
			$this->load->library('upload', $config);
			$upload = $this->upload->do_upload('ImageUpload');
			if(!$upload) {
				$error = array('error' => $this->upload->display_errors());	
				return false;
			}else{
				return true;
			}
	}
	
	function delete(){
		$MENU_ID=$this->uri->segment(3);
		$gid=$this->uri->segment(4);
		$id=$this->uri->segment(5);
		$id_subengine=$this->uri->segment(5);
		
		if(!empty($id)){
			$ceksubengine=$this->model_admin_subengine->ceksub($id_subengine);	
			if($ceksubengine==false){
				$CekImg = $this->model_admin_subengine->CekImage($id_subengine);  // cek image ada yang pakai ato tidak		
				$Count =  $CekImg['Count'];
				$Image = $CekImg['Image'];
				
				if ($Count == 1){
				unlink('./uploads/engine/'.$Image);
				}
				
				$data=$this->model_admin_subengine->delete($id);
				redirect('admin_subengine/index/'.$MENU_ID.'/'.$gid);
			}else{
				redirect('admin_subengine/index/'.$MENU_ID.'/'.$gid.'/error');
			}
				
		}else{
			redirect('admin_subengine/index/'.$MENU_ID.'/'.$gid);
		}
		
		
		
		
		
		

		
	}
	
}

?>